DEV: change platform mri to platform ruby on some gems

DEV: change platform mri to platform ruby on some gems

This assists with truffleruby testing which needs to be able to install these gems

diff --git a/Gemfile b/Gemfile
index f4ddfbb..9c17c3d 100644
--- a/Gemfile
+++ b/Gemfile
@@ -76,10 +76,10 @@ gem 'message_bus'
 
 gem 'rails_multisite'
 
-gem 'fast_xs', platform: :mri
+gem 'fast_xs', platform: :ruby
 
 # may move to xorcist post: https://github.com/fny/xorcist/issues/4
-gem 'fast_xor', platform: :mri
+gem 'fast_xor', platform: :ruby
 
 gem 'fastimage'
 
@@ -187,7 +187,7 @@ end
 # this is an optional gem, it provides a high performance replacement
 # to String#blank? a method that is called quite frequently in current
 # ActiveRecord, this may change in the future
-gem 'fast_blank', platform: :mri
+gem 'fast_blank', platform: :ruby
 
 # this provides a very efficient lru cache
 gem 'lru_redux'
@@ -201,7 +201,7 @@ gem 'htmlentities', require: false
 gem 'flamegraph', require: false
 gem 'rack-mini-profiler', require: ['enable_rails_patches']
 
-gem 'unicorn', require: false, platform: :mri
+gem 'unicorn', require: false, platform: :ruby
 gem 'puma', require: false
 gem 'rbtrace', require: false, platform: :mri
 gem 'gc_tracer', require: false, platform: :mri
@@ -234,7 +234,7 @@ gem 'rubyzip', require: false
 gem 'sshkey', require: false
 
 gem 'rchardet', require: false
-gem 'lz4-ruby', require: false, platform: :mri
+gem 'lz4-ruby', require: false, platform: :ruby
 
 if ENV["IMPORT"] == "1"
   gem 'mysql2'

GitHub sha: 620c223d

This commit has been mentioned on Discourse Meta. There might be relevant details there:

https://meta.discourse.org/t/update-gemfile-fast-xor-platform-to-ruby/159064/3